Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.manager
Class RuleResultClassFilter

    java.lang.Object
      com.bea.p13n.rules.manager.RuleResultClassFilter

All Implemented Interfaces
  ObjectFilter, Serializable

Direct Known Subclasses:
  RuleResultClassFilter

    public class RuleResultClassFilter

extends Object
implements ObjectFilter, Serializable

A `RuleResultClassFilter` can be used to filter rule `Result` objects (the results of firing rules). The rule `Result` object contains an embedded object that is the created by the rule action. This filter checks the class type of the embedded object and, if it matches the class type of this filter, passes the embedded object through the filter .

Additionally, a rule name can be associated with this filter. If the rule name is non-`null` the eligible rule `Result` objects are also filtered by rule name.

The functionality above allows this filter to select the objects that were created by the rules engine that are of a given class type and optinally were created by a rule with a given name.

See Also
  Serialized Form

Constructor Summary
`RuleResultClassFilter(String ruleName, Class targetClass)` Constructs a `RuleResultClassFilter`.
`RuleResultClassFilter(String ruleName, Class[] targetClassArray)` Constructs a `RuleResultClassFilter`.

Method Summary
`Object` | `filter(Object obj)` Performs the filtering of objects created by the action of rule firing.
`void` | `reset()` This is a stateless filter and does not require reset be called.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleResultClassFilter

    public RuleResultClassFilter(String ruleName,
                                 Class targetClass)

  Constructs a `RuleResultClassFilter`.

  Parameters
    `ruleName` - the optional rule name to filter on.
    `targetClass` - the target class for the object embedded in the rule result.

### RuleResultClassFilter

    public RuleResultClassFilter(String ruleName,
                                 Class[] targetClassArray)

  Constructs a `RuleResultClassFilter`.

  Parameters
    `ruleName` - the optional rule name to filter on.
    `targetClassArray` - the target classes for the object embedded in the rule result.

Method Detail

### reset

    public void reset()

  This is a stateless filter and does not require reset be called.

  Specified by:
    `reset` in interface `ObjectFilter`

### filter

    public Object filter(Object obj)

  Performs the filtering of objects created by the action of rule firing.

  Specified by:
    `filter` in interface `ObjectFilter`
  Parameters
    `obj` - the object to be filtered.
  Returns
    the result of the filtering or `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.